textures/glass/plainglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/glass/plainglass.tga
		tcgen environment
		blendfunc gl_one gl_one
                }
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

models/mapobjects/defcon_tree/tree2
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow
      deformvertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/defcon_tree/tree2.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/urban_terror/black
{
	surfaceparm nolightmap
	surfaceparm noimpact
	{
		map textures/urban_terror/black.tga
	}
}

textures/urban_terror/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	  surfaceparm trans
}

textures/urban_terror2/fence
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/urban_terror2/fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/urban_terror2/metal
{   
 
        {
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity
	}   
        {
		map textures/urban_terror2/metal.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/urban_terror3/w2k_bush1
{
        qer_editorimage textures/urban_terror3/w2k_bush1.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/urban_terror3/w2k_bush1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/urban_terror3/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

models/mapobjects/urbanterror/palmtree/palmleaves
{
	cull none
	deformvertexes wave 150 sin 0 1 0 .3
	surfaceparm nolightmap
	
	{
		map models/mapobjects/urbanterror/palmtree/palmleaves.tga
		
		depthwrite
	}
}

models/mapobjects/urbanterror/palmtree/palmtrunk
{
	surfaceparm nolightmap
	surfaceparm playerclip
	
	{
		map models/mapobjects/urbanterror/palmtree/palmtrunk.tga
		depthwrite		
	}
}

textures/sfx/flame2
{

	
	
	
	
	
	
		surfaceparm nomarks
		surfaceparm nolightmap
		cull none
		q3map_surfacelight 5500
		qer_editorimage textures/sfx/flame2.tga

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	

	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/truck/truckdoor
{
surfaceparm trans
surfaceparm nonsolid
cull none
	{
	map textures/truck/truckdoor.jpg
	}
	{
	map $lightmap
	blendfunc gl_dst_color gl_zero
	rgbgen identity      
	}
}

textures/truck/glass
{
qer_editorimage textures/base_wall/shiny3.tga
qer_trans 	0.5
surfaceparm trans
surfaceparm glass
cull none
	{
	map textures/effects/tinfx3.tga
      tcgen environment
	blendfunc gl_one gl_one
	rgbgen identity
	}
      {
	map $lightmap
	rgbgen identity
	blendfunc filter
	}
}

textures/urban_terror3/chain
{
        qer_editorimage textures/urban_terror3/chain.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/urban_terror3/chain.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/bbq/barbedwire
{
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable

	{
		map textures/bbq/barbedwire.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

models\mapobjects\multiplant\fern
{	
    surfaceparm alphashadow
    cull none
    nopicmip
	{
		map models\mapobjects\multiplant\fern.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models\mapobjects\multiplant\invisible
{
    surfaceparm alphashadow
	surfaceparm nolightmap			
        {
                map models\mapobjects\multiplant\invisible.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

textures/sese2/sese_sky
{
	qer_editorimage textures/sese2/sese_sky.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 100
	q3map_sun 1 .725 .3725 200 30 70
	skyparms env/sesesky - -
}

textures/sese2/web_01
{
 	surfaceparm	nonsolid
	surfaceparm 	noimpact
	surfaceparm 	nolightmap
	surfaceparm 	trans
	surfaceparm     softsteps
	sort additive
 	cull none
	{
  		map textures/sese2/web_01.jpg
		blendfunc add
 	}
}

textures/sese2/web_02
{
 	surfaceparm	nonsolid
	surfaceparm 	noimpact
	surfaceparm 	nolightmap
	surfaceparm 	trans
	surfaceparm     softsteps
	sort additive
 	cull none
	{
  		map textures/sese2/web_02.jpg
		blendfunc add
 	}
}

textures/base_floor/hfloor3
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_floor/hfloor3.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/base_floor/hfloor3.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
       
              
}

textures/base_light/proto_light
{
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{	
		map textures/base_light/proto_lightmap.tga
		blendfunc gl_one gl_one
                rgbgen wave sin .5 0.5 1 .1
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 5 1 3
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
                tcmod scale -1 -1
                 rgbgen wave triangle 1 2 0 7
	}
}

textures/base_light/proto_lightred2
{
	q3map_lightimage textures/base_light/proto_lightred.tga
	qer_editorimage textures/base_light/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendfunc filter
		rgbgen identity
	}
        {
		map textures/base_light/proto_lightred.tga
		blendfunc add
		rgbgen wave square .5 .5 0 1
	}
	
}

textures/base_light/runway
{
	q3map_lightimage textures/base_light/runway_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/base_light/runway_glow.tga
		tcmod scale 1 .25
		rgbgen wave square -1 2 .5 8
		tcmod scroll 0 .5
	}	

	{
		map textures/base_light/runway.tga
		blendfunc blend
		rgbgen identity
	}
        
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}

	{
		map textures/base_light/runwayb.tga
		blendfunc add
		rgbgen identity
	}

	
}

textures/base_light/xceil1_39
{
	qer_editorimage textures/base_light/ceil1_39.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_wall/grill
{
	

	{
		map textures/base_wall/chrome_env.tga
	        rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/base_wall/grill.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha	
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_wall/steed1gf
{
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/base_wall/steed1gf.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}

			
}

textures/sweetnutz/sn_ivy
{
	qer_editorimage textures/sweetnutz/sn_ivy.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/sweetnutz/sn_ivy.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

